Subject: 24.5; uniquify-ask-about-buffer-names-p does nothing
From: Noam Postavsky <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jul 2015 13:35:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

mkdir a b
echo _ > a/foo.txt
echo _ > b/foo.txt
emacs -Q -l uniquify --eval "(setq uniquify-ask-about-buffer-names-p
t)" a/foo.txt b/foo.txt

I don't get asked any questions about buffer name. There are no
references to uniquify-ask-about-buffer-names-p in uniquify.el except
for the definition and in the "Change Log" comments.

This option seems pretty useless to me (since the user can always
rename any buffer at any time), so I think removing it would be fine.
At any rate, having a non-functional option looks like a bug.